PDCR jobs Performance Data Collection is either not installed or the version is not supported.

Viewpoint
Senior Apprentice

PDCR jobs Performance Data Collection is either not installed or the version is not supported.

Hi all,

 

Just downloaded and am now setting up an updated TD Express 16.10.0.3 system (40GB).

 

I've got the Viewpoint data collectors all running ok and I've run the PDCR dip scripts to set up those databases and users. All ok so far.

 

I'm trying to setup the PDCR jobs but coming across the message shown above ("Performance Data Collection is either not installed or the version is not supported."). This is shown in the "Performance Data Collection" portlet, where you configure and monitor the PDCR jobs.

 

I went into 'Edit Jobs', added the PDCRAdmin credentials. Clicked the 'test' button and all is ok.

I then changed some times of day when the jobs should run and clicked 'Save'.

It is at this point when I'm returned ot the main 'job status' display of the "Performance Data Collection" portlet that I see this message.

 

I have restarted all Viewpoint services.

I have restarted the dbms.

 

Table PDCRData.PDCR_Parameters contains one row which is:

PDCR_VERSION16.10

 

In this VM the Viewpoint version is 16.10.0.0-b21.

The PDCR portlet is version 16.10.0.0.

 

I can't find anything on TaYS or Community.

 

Anyone else hit this? Anyone got any ideas?

 

Cheers,

Dave

 

Ward Analytics Ltd - information in motion
www: http://www.ward-analytics.com
3 REPLIES
Senior Apprentice

Re: PDCR jobs Performance Data Collection is either not installed or the version is not supported.

Just noticed that user PDCRAdmin is logged on and seems to be running queries. I'm going to change the query logging rules to get some detail info on those queries.

 

In the meantime if anyone has any info that would be useful.

Cheers,

Dave

 

Ward Analytics Ltd - information in motion
www: http://www.ward-analytics.com
Senior Apprentice

Re: PDCR jobs Performance Data Collection is either not installed or the version is not supported.

In case anyone else encounters this I think the problem/solution is described the following TD knowledge article:

http://knowledge.teradata.com/KCS/id/KCS012146

 

Basically, support for PDCR 16.10 requires Viewpoint 16.10.0.1.

 

Cheers,

Dave

Ward Analytics Ltd - information in motion
www: http://www.ward-analytics.com
DJM
Enthusiast

Re: PDCR jobs Performance Data Collection is either not installed or the version is not supported.

Thanks for this info. I just ran into the same issue in our production environment. We just had Teradata upgrade us to 16.10 and they gave me the latest PDCR to install. PDCR collection works fine from cron, but viewpoint gives me the error it's either not installed or supported.